# [`ansible-playbook-desktop`][]

An [Ansible][] [playbook][] for setting up a [desktop][] on [Debian][]-based
[Linux distribution][]s.

A [`Vagrantfile`][] is provided, try it out with the usual [`vagrant up`][].
The [VirtualBox][] [Vagrant provider][] is configured to show the GUI. Some
[Vagrant box][]es have a locked `vagrant` user, run `vagrant ssh -c 'echo
vagrant:vagrant | sudo chpasswd'` to unlock and set the password to `vagrant`.
After login, run `startx` to start the graphical environment.

[`ansible-playbook-desktop`]: https://git.rcrnstn.net/rcrnstn/ansible-playbook-desktop
[Ansible]: https://docs.ansible.com/ansible
[playbook]: https://docs.ansible.com/ansible/latest/user_guide/playbooks.html
[desktop]: https://en.wikipedia.org/wiki/Desktop_computer
[Debian]: https://en.wikipedia.org/wiki/Debian
[Linux distribution]: https://en.wikipedia.org/wiki/Linux_distribution
[`Vagrantfile`]: https://www.vagrantup.com/docs/vagrantfile
[`vagrant up`]: https://www.vagrantup.com/docs/cli/up.html
[VirtualBox]: https://en.wikipedia.org/wiki/VirtualBox
[Vagrant provider]: https://www.vagrantup.com/docs/providers
[Vagrant box]: https://www.vagrantup.com/docs/boxes

## Requirements

[Collection][]s:

-   [`community.general`][]

[Role][]s:

-   [`ansible-role-xsession`][]
-   [`ansible-role-xwinwrap`][]
-   [`ansible-role-dotfiles`][]
-   [`ansible-role-firefox-extensions`][]

Make sure requirements are satisfied by running

```
ansible-galaxy install -f -r requirements.yml
```

[collection]: https://docs.ansible.com/ansible/latest/user_guide/collections_using.html
[`community.general`]: https://docs.ansible.com/ansible/latest/collections/community/general/index.html
[role]: https://docs.ansible.com/ansible/latest/user_guide/playbooks_reuse_roles.html
[`ansible-role-xsession`]: https://git.rcrnstn.net/rcrnstn/ansible-role-xsession
[`ansible-role-xwinwrap`]: https://git.rcrnstn.net/rcrnstn/ansible-role-xwinwrap
[`ansible-role-dotfiles`]: https://git.rcrnstn.net/rcrnstn/ansible-role-dotfiles
[`ansible-role-firefox-extensions`]: https://git.rcrnstn.net/rcrnstn/ansible-role-firefox-extensions

## Usage

Run

```
ansible-playbook -K -i $host, desktop.yml
```

(note the comma!) replacing `$host` with the host you want to set up (can be
`localhost`, perhaps adding `--connection=local`).

## License

Licensed under the [ISC License][] unless otherwise noted, see the
[`LICENSE`][] file.

[ISC License]: https://choosealicense.com/licenses/isc/
[`LICENSE`]: LICENSE
